PageRenderTime 176ms CodeModel.GetById 45ms app.highlight 124ms RepoModel.GetById 1ms app.codeStats 0ms

/js/lib/Socket.IO-node/support/expresso/deps/jscoverage/tests/Makefile.in

http://github.com/onedayitwillmake/RealtimeMultiplayerNodeJs
Autoconf | 846 lines | 746 code | 71 blank | 29 comment | 99 complexity | 03752cdaa7fe97f860fe6b63af352e83 MD5 | raw file
  1# Makefile.in generated by automake 1.10.1 from Makefile.am.
  2# @configure_input@
  3
  4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  5# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
  6# This Makefile.in is free software; the Free Software Foundation
  7# gives unlimited permission to copy and/or distribute it,
  8# with or without modifications, as long as this notice is preserved.
  9
 10# This program is distributed in the hope that it will be useful,
 11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
 12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 13# PARTICULAR PURPOSE.
 14
 15@SET_MAKE@
 16
 17#     Makefile.am - build tests
 18#     Copyright (C) 2007, 2008 siliconforks.com
 19# 
 20#     This program is free software; you can redistribute it and/or modify
 21#     it under the terms of the GNU General Public License as published by
 22#     the Free Software Foundation; either version 2 of the License, or
 23#     (at your option) any later version.
 24# 
 25#     This program is distributed in the hope that it will be useful,
 26#     but WITHOUT ANY WARRANTY; without even the implied warranty of
 27#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 28#     GNU General Public License for more details.
 29# 
 30#     You should have received a copy of the GNU General Public License along
 31#     with this program; if not, write to the Free Software Foundation, Inc.,
 32#     51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 33
 34VPATH = @srcdir@
 35pkgdatadir = $(datadir)/@PACKAGE@
 36pkglibdir = $(libdir)/@PACKAGE@
 37pkgincludedir = $(includedir)/@PACKAGE@
 38am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
 39install_sh_DATA = $(install_sh) -c -m 644
 40install_sh_PROGRAM = $(install_sh) -c
 41install_sh_SCRIPT = $(install_sh) -c
 42INSTALL_HEADER = $(INSTALL_DATA)
 43transform = $(program_transform_name)
 44NORMAL_INSTALL = :
 45PRE_INSTALL = :
 46POST_INSTALL = :
 47NORMAL_UNINSTALL = :
 48PRE_UNINSTALL = :
 49POST_UNINSTALL = :
 50build_triplet = @build@
 51host_triplet = @host@
 52noinst_PROGRAMS = asprintf$(EXEEXT) encodings$(EXEEXT) \
 53	gethostbyname$(EXEEXT) http-client-bad-body$(EXEEXT) \
 54	http-client-bad-url$(EXEEXT) \
 55	http-client-close-after-request$(EXEEXT) \
 56	http-server-bad-body$(EXEEXT) http-server-bad-headers$(EXEEXT) \
 57	http-server-charset$(EXEEXT) http-server-chunked$(EXEEXT) \
 58	http-server-close-immediately$(EXEEXT) json$(EXEEXT) \
 59	mkdirs$(EXEEXT) recursive-dir-list$(EXEEXT) streams$(EXEEXT)
 60subdir = tests
 61DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 62ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 63am__aclocal_m4_deps = $(top_srcdir)/m4/iconv.m4 \
 64	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
 65	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/configure.ac
 66am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 67	$(ACLOCAL_M4)
 68mkinstalldirs = $(install_sh) -d
 69CONFIG_HEADER = $(top_builddir)/config.h
 70CONFIG_CLEAN_FILES =
 71PROGRAMS = $(noinst_PROGRAMS)
 72am_asprintf_OBJECTS = asprintf.$(OBJEXT) util.$(OBJEXT)
 73asprintf_OBJECTS = $(am_asprintf_OBJECTS)
 74asprintf_LDADD = $(LDADD)
 75am_encodings_OBJECTS = encodings.$(OBJEXT) encoding.$(OBJEXT) \
 76	util.$(OBJEXT)
 77encodings_OBJECTS = $(am_encodings_OBJECTS)
 78encodings_DEPENDENCIES =
 79am_gethostbyname_OBJECTS = gethostbyname.$(OBJEXT) http-host.$(OBJEXT) \
 80	util.$(OBJEXT)
 81gethostbyname_OBJECTS = $(am_gethostbyname_OBJECTS)
 82gethostbyname_DEPENDENCIES =
 83am_http_client_bad_body_OBJECTS = http-client-bad-body.$(OBJEXT) \
 84	http-url.$(OBJEXT) util.$(OBJEXT)
 85http_client_bad_body_OBJECTS = $(am_http_client_bad_body_OBJECTS)
 86http_client_bad_body_DEPENDENCIES =
 87am_http_client_bad_url_OBJECTS = http-client-bad-url.$(OBJEXT) \
 88	util.$(OBJEXT)
 89http_client_bad_url_OBJECTS = $(am_http_client_bad_url_OBJECTS)
 90http_client_bad_url_DEPENDENCIES =
 91http_client_close_after_request_SOURCES =  \
 92	http-client-close-after-request.c
 93http_client_close_after_request_OBJECTS =  \
 94	http-client-close-after-request.$(OBJEXT)
 95http_client_close_after_request_DEPENDENCIES =
 96http_server_bad_body_SOURCES = http-server-bad-body.c
 97http_server_bad_body_OBJECTS = http-server-bad-body.$(OBJEXT)
 98http_server_bad_body_DEPENDENCIES =
 99http_server_bad_headers_SOURCES = http-server-bad-headers.c
100http_server_bad_headers_OBJECTS = http-server-bad-headers.$(OBJEXT)
101http_server_bad_headers_DEPENDENCIES =
102am_http_server_charset_OBJECTS = http-server-charset.$(OBJEXT) \
103	stream.$(OBJEXT) util.$(OBJEXT)
104http_server_charset_OBJECTS = $(am_http_server_charset_OBJECTS)
105http_server_charset_DEPENDENCIES =
106am_http_server_chunked_OBJECTS = http-server-chunked.$(OBJEXT) \
107	stream.$(OBJEXT) util.$(OBJEXT)
108http_server_chunked_OBJECTS = $(am_http_server_chunked_OBJECTS)
109http_server_chunked_DEPENDENCIES =
110http_server_close_immediately_SOURCES =  \
111	http-server-close-immediately.c
112http_server_close_immediately_OBJECTS =  \
113	http-server-close-immediately.$(OBJEXT)
114http_server_close_immediately_DEPENDENCIES =
115am_json_OBJECTS = json.$(OBJEXT) encoding.$(OBJEXT) \
116	highlight.$(OBJEXT) instrument-js.$(OBJEXT) \
117	resource-manager.$(OBJEXT) stream.$(OBJEXT) util.$(OBJEXT)
118json_OBJECTS = $(am_json_OBJECTS)
119json_DEPENDENCIES = ../js/obj/libjs.a
120am_mkdirs_OBJECTS = mkdirs.$(OBJEXT) util.$(OBJEXT)
121mkdirs_OBJECTS = $(am_mkdirs_OBJECTS)
122mkdirs_LDADD = $(LDADD)
123am_recursive_dir_list_OBJECTS = recursive-dir-list.$(OBJEXT) \
124	util.$(OBJEXT)
125recursive_dir_list_OBJECTS = $(am_recursive_dir_list_OBJECTS)
126recursive_dir_list_LDADD = $(LDADD)
127am_streams_OBJECTS = streams.$(OBJEXT) stream.$(OBJEXT) util.$(OBJEXT)
128streams_OBJECTS = $(am_streams_OBJECTS)
129streams_LDADD = $(LDADD)
130DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
131depcomp = $(SHELL) $(top_srcdir)/depcomp
132am__depfiles_maybe = depfiles
133COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
134	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
135CCLD = $(CC)
136LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
137CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
138	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
139CXXLD = $(CXX)
140CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
141	-o $@
142SOURCES = $(asprintf_SOURCES) $(encodings_SOURCES) \
143	$(gethostbyname_SOURCES) $(http_client_bad_body_SOURCES) \
144	$(http_client_bad_url_SOURCES) \
145	http-client-close-after-request.c http-server-bad-body.c \
146	http-server-bad-headers.c $(http_server_charset_SOURCES) \
147	$(http_server_chunked_SOURCES) http-server-close-immediately.c \
148	$(json_SOURCES) $(mkdirs_SOURCES) \
149	$(recursive_dir_list_SOURCES) $(streams_SOURCES)
150DIST_SOURCES = $(asprintf_SOURCES) $(encodings_SOURCES) \
151	$(gethostbyname_SOURCES) $(http_client_bad_body_SOURCES) \
152	$(http_client_bad_url_SOURCES) \
153	http-client-close-after-request.c http-server-bad-body.c \
154	http-server-bad-headers.c $(http_server_charset_SOURCES) \
155	$(http_server_chunked_SOURCES) http-server-close-immediately.c \
156	$(json_SOURCES) $(mkdirs_SOURCES) \
157	$(recursive_dir_list_SOURCES) $(streams_SOURCES)
158ETAGS = etags
159CTAGS = ctags
160DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
161ACLOCAL = @ACLOCAL@
162AMTAR = @AMTAR@
163AUTOCONF = @AUTOCONF@
164AUTOHEADER = @AUTOHEADER@
165AUTOMAKE = @AUTOMAKE@
166AWK = @AWK@
167CC = @CC@
168CCDEPMODE = @CCDEPMODE@
169CFLAGS = @CFLAGS@
170CPP = @CPP@
171CPPFLAGS = @CPPFLAGS@
172CXX = @CXX@
173CXXDEPMODE = @CXXDEPMODE@
174CXXFLAGS = @CXXFLAGS@
175CYGPATH_W = @CYGPATH_W@
176DEFS = @DEFS@
177DEPDIR = @DEPDIR@
178ECHO_C = @ECHO_C@
179ECHO_N = @ECHO_N@
180ECHO_T = @ECHO_T@
181EGREP = @EGREP@
182EXEEXT = @EXEEXT@
183EXTRA_SOCKET_LIBS = @EXTRA_SOCKET_LIBS@
184EXTRA_THREAD_LIBS = @EXTRA_THREAD_LIBS@
185EXTRA_TIMER_LIBS = @EXTRA_TIMER_LIBS@
186GREP = @GREP@
187INSTALL = @INSTALL@
188INSTALL_DATA = @INSTALL_DATA@
189INSTALL_PROGRAM = @INSTALL_PROGRAM@
190INSTALL_SCRIPT = @INSTALL_SCRIPT@
191INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
192LDFLAGS = @LDFLAGS@
193LIBICONV = @LIBICONV@
194LIBOBJS = @LIBOBJS@
195LIBS = @LIBS@
196LTLIBICONV = @LTLIBICONV@
197LTLIBOBJS = @LTLIBOBJS@
198MAKEINFO = @MAKEINFO@
199MKDIR_P = @MKDIR_P@
200OBJEXT = @OBJEXT@
201PACKAGE = @PACKAGE@
202PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
203PACKAGE_NAME = @PACKAGE_NAME@
204PACKAGE_STRING = @PACKAGE_STRING@
205PACKAGE_TARNAME = @PACKAGE_TARNAME@
206PACKAGE_VERSION = @PACKAGE_VERSION@
207PATH_SEPARATOR = @PATH_SEPARATOR@
208SET_MAKE = @SET_MAKE@
209SHELL = @SHELL@
210STRIP = @STRIP@
211VERSION = @VERSION@
212XP_DEF = @XP_DEF@
213abs_builddir = @abs_builddir@
214abs_srcdir = @abs_srcdir@
215abs_top_builddir = @abs_top_builddir@
216abs_top_srcdir = @abs_top_srcdir@
217ac_ct_CC = @ac_ct_CC@
218ac_ct_CXX = @ac_ct_CXX@
219am__include = @am__include@
220am__leading_dot = @am__leading_dot@
221am__quote = @am__quote@
222am__tar = @am__tar@
223am__untar = @am__untar@
224bindir = @bindir@
225build = @build@
226build_alias = @build_alias@
227build_cpu = @build_cpu@
228build_os = @build_os@
229build_vendor = @build_vendor@
230builddir = @builddir@
231datadir = @datadir@
232datarootdir = @datarootdir@
233docdir = @docdir@
234dvidir = @dvidir@
235exec_prefix = @exec_prefix@
236host = @host@
237host_alias = @host_alias@
238host_cpu = @host_cpu@
239host_os = @host_os@
240host_vendor = @host_vendor@
241htmldir = @htmldir@
242includedir = @includedir@
243infodir = @infodir@
244install_sh = @install_sh@
245libdir = @libdir@
246libexecdir = @libexecdir@
247localedir = @localedir@
248localstatedir = @localstatedir@
249mandir = @mandir@
250mkdir_p = @mkdir_p@
251oldincludedir = @oldincludedir@
252pdfdir = @pdfdir@
253prefix = @prefix@
254program_transform_name = @program_transform_name@
255psdir = @psdir@
256sbindir = @sbindir@
257sharedstatedir = @sharedstatedir@
258srcdir = @srcdir@
259sysconfdir = @sysconfdir@
260target_alias = @target_alias@
261top_builddir = @top_builddir@
262top_srcdir = @top_srcdir@
263AM_CFLAGS = @XP_DEF@ -I../js -I../js/obj
264AM_CXXFLAGS = @XP_DEF@ -I../js -I../js/obj
265asprintf_SOURCES = asprintf.c ../util.c
266encodings_SOURCES = encodings.c ../encoding.c ../util.c
267encodings_LDADD = @LIBICONV@
268gethostbyname_SOURCES = gethostbyname.c ../http-host.c ../util.c
269gethostbyname_LDADD = @EXTRA_SOCKET_LIBS@
270http_client_bad_body_SOURCES = http-client-bad-body.c ../http-url.c ../util.c
271http_client_bad_body_LDADD = @EXTRA_SOCKET_LIBS@
272http_client_bad_url_SOURCES = http-client-bad-url.c ../util.c
273http_client_bad_url_LDADD = @EXTRA_SOCKET_LIBS@
274http_client_close_after_request_LDADD = @EXTRA_SOCKET_LIBS@
275http_server_bad_body_LDADD = @EXTRA_SOCKET_LIBS@
276http_server_bad_headers_LDADD = @EXTRA_SOCKET_LIBS@
277http_server_charset_SOURCES = http-server-charset.c ../stream.c ../util.c
278http_server_charset_LDADD = @EXTRA_SOCKET_LIBS@
279http_server_chunked_SOURCES = http-server-chunked.c ../stream.c ../util.c
280http_server_chunked_LDADD = @EXTRA_SOCKET_LIBS@
281http_server_close_immediately_LDADD = @EXTRA_SOCKET_LIBS@
282json_SOURCES = json.c ../encoding.c ../highlight.c ../instrument-js.cpp ../resource-manager.c ../stream.c ../util.c
283json_LDADD = ../js/obj/libjs.a -lm @LIBICONV@ @EXTRA_TIMER_LIBS@
284mkdirs_SOURCES = mkdirs.c ../util.c
285recursive_dir_list_SOURCES = recursive-dir-list.c ../util.c
286streams_SOURCES = streams.c ../stream.c ../util.c
287TESTS = encodings.sh \
288        fatal.sh \
289        help.sh \
290        invalid-option.sh \
291        javascript.sh \
292        javascript-ignore.sh \
293        javascript-utf-8.sh \
294        no-arguments.sh \
295        recursive.sh \
296        recursive-crlf.sh \
297        recursive-exclude.sh \
298        recursive-fatal.sh \
299        recursive-no-instrument.sh \
300        same-directory.sh \
301        version.sh \
302        asprintf.sh \
303        mkdirs.sh \
304        recursive-dir-list.sh \
305        streams.sh \
306        charset.sh \
307        chunked.sh \
308        gethostbyname.sh \
309        json.sh \
310        proxy.sh \
311        proxy-bad-request-body.sh \
312        proxy-bad-response-body.sh \
313        proxy-bad-response-body-javascript.sh \
314        proxy-bad-response-headers.sh \
315        proxy-no-server.sh \
316        proxy-url.sh \
317        server.sh \
318        server-bad-requests.sh \
319        server-close-after-request.sh \
320        server-content-types.sh \
321        server-directory-listing.sh \
322        server-directory-redirect.sh \
323        server-encoded-url.sh \
324        server-error.sh \
325        server-help.sh \
326        server-ip-address.sh \
327        server-shutdown.sh \
328        server-shutdown-bad-method.sh \
329        server-special-file.sh \
330        server-unreadable-directory.sh \
331        server-unreadable-file.sh \
332        server-verbose.sh \
333        server-version.sh \
334        store.sh \
335        store-bad-json.sh \
336        store-bad-request-body.sh \
337        store-bad-response-headers.sh \
338        store-escaped-characters.sh \
339        store-server-bad-body.sh \
340        store-server-closes-immediately.sh \
341        store-source-not-found.sh \
342        store-unreadable-json.sh \
343        store-unwritable-json.sh
344
345all: all-am
346
347.SUFFIXES:
348.SUFFIXES: .c .cpp .o .obj
349$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
350	@for dep in $?; do \
351	  case '$(am__configure_deps)' in \
352	    *$$dep*) \
353	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
354		&& exit 0; \
355	      exit 1;; \
356	  esac; \
357	done; \
358	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  tests/Makefile'; \
359	cd $(top_srcdir) && \
360	  $(AUTOMAKE) --foreign  tests/Makefile
361.PRECIOUS: Makefile
362Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
363	@case '$?' in \
364	  *config.status*) \
365	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
366	  *) \
367	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
368	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
369	esac;
370
371$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
372	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
373
374$(top_srcdir)/configure:  $(am__configure_deps)
375	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
376$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
377	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
378
379clean-noinstPROGRAMS:
380	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
381asprintf$(EXEEXT): $(asprintf_OBJECTS) $(asprintf_DEPENDENCIES) 
382	@rm -f asprintf$(EXEEXT)
383	$(LINK) $(asprintf_OBJECTS) $(asprintf_LDADD) $(LIBS)
384encodings$(EXEEXT): $(encodings_OBJECTS) $(encodings_DEPENDENCIES) 
385	@rm -f encodings$(EXEEXT)
386	$(LINK) $(encodings_OBJECTS) $(encodings_LDADD) $(LIBS)
387gethostbyname$(EXEEXT): $(gethostbyname_OBJECTS) $(gethostbyname_DEPENDENCIES) 
388	@rm -f gethostbyname$(EXEEXT)
389	$(LINK) $(gethostbyname_OBJECTS) $(gethostbyname_LDADD) $(LIBS)
390http-client-bad-body$(EXEEXT): $(http_client_bad_body_OBJECTS) $(http_client_bad_body_DEPENDENCIES) 
391	@rm -f http-client-bad-body$(EXEEXT)
392	$(LINK) $(http_client_bad_body_OBJECTS) $(http_client_bad_body_LDADD) $(LIBS)
393http-client-bad-url$(EXEEXT): $(http_client_bad_url_OBJECTS) $(http_client_bad_url_DEPENDENCIES) 
394	@rm -f http-client-bad-url$(EXEEXT)
395	$(LINK) $(http_client_bad_url_OBJECTS) $(http_client_bad_url_LDADD) $(LIBS)
396http-client-close-after-request$(EXEEXT): $(http_client_close_after_request_OBJECTS) $(http_client_close_after_request_DEPENDENCIES) 
397	@rm -f http-client-close-after-request$(EXEEXT)
398	$(LINK) $(http_client_close_after_request_OBJECTS) $(http_client_close_after_request_LDADD) $(LIBS)
399http-server-bad-body$(EXEEXT): $(http_server_bad_body_OBJECTS) $(http_server_bad_body_DEPENDENCIES) 
400	@rm -f http-server-bad-body$(EXEEXT)
401	$(LINK) $(http_server_bad_body_OBJECTS) $(http_server_bad_body_LDADD) $(LIBS)
402http-server-bad-headers$(EXEEXT): $(http_server_bad_headers_OBJECTS) $(http_server_bad_headers_DEPENDENCIES) 
403	@rm -f http-server-bad-headers$(EXEEXT)
404	$(LINK) $(http_server_bad_headers_OBJECTS) $(http_server_bad_headers_LDADD) $(LIBS)
405http-server-charset$(EXEEXT): $(http_server_charset_OBJECTS) $(http_server_charset_DEPENDENCIES) 
406	@rm -f http-server-charset$(EXEEXT)
407	$(LINK) $(http_server_charset_OBJECTS) $(http_server_charset_LDADD) $(LIBS)
408http-server-chunked$(EXEEXT): $(http_server_chunked_OBJECTS) $(http_server_chunked_DEPENDENCIES) 
409	@rm -f http-server-chunked$(EXEEXT)
410	$(LINK) $(http_server_chunked_OBJECTS) $(http_server_chunked_LDADD) $(LIBS)
411http-server-close-immediately$(EXEEXT): $(http_server_close_immediately_OBJECTS) $(http_server_close_immediately_DEPENDENCIES) 
412	@rm -f http-server-close-immediately$(EXEEXT)
413	$(LINK) $(http_server_close_immediately_OBJECTS) $(http_server_close_immediately_LDADD) $(LIBS)
414json$(EXEEXT): $(json_OBJECTS) $(json_DEPENDENCIES) 
415	@rm -f json$(EXEEXT)
416	$(CXXLINK) $(json_OBJECTS) $(json_LDADD) $(LIBS)
417mkdirs$(EXEEXT): $(mkdirs_OBJECTS) $(mkdirs_DEPENDENCIES) 
418	@rm -f mkdirs$(EXEEXT)
419	$(LINK) $(mkdirs_OBJECTS) $(mkdirs_LDADD) $(LIBS)
420recursive-dir-list$(EXEEXT): $(recursive_dir_list_OBJECTS) $(recursive_dir_list_DEPENDENCIES) 
421	@rm -f recursive-dir-list$(EXEEXT)
422	$(LINK) $(recursive_dir_list_OBJECTS) $(recursive_dir_list_LDADD) $(LIBS)
423streams$(EXEEXT): $(streams_OBJECTS) $(streams_DEPENDENCIES) 
424	@rm -f streams$(EXEEXT)
425	$(LINK) $(streams_OBJECTS) $(streams_LDADD) $(LIBS)
426
427mostlyclean-compile:
428	-rm -f *.$(OBJEXT)
429
430distclean-compile:
431	-rm -f *.tab.c
432
433@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/asprintf.Po@am__quote@
434@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/encoding.Po@am__quote@
435@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/encodings.Po@am__quote@
436@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gethostbyname.Po@am__quote@
437@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/highlight.Po@am__quote@
438@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/http-client-bad-body.Po@am__quote@
439@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/http-client-bad-url.Po@am__quote@
440@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/http-client-close-after-request.Po@am__quote@
441@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/http-host.Po@am__quote@
442@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/http-server-bad-body.Po@am__quote@
443@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/http-server-bad-headers.Po@am__quote@
444@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/http-server-charset.Po@am__quote@
445@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/http-server-chunked.Po@am__quote@
446@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/http-server-close-immediately.Po@am__quote@
447@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/http-url.Po@am__quote@
448@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/instrument-js.Po@am__quote@
449@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/json.Po@am__quote@
450@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mkdirs.Po@am__quote@
451@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/recursive-dir-list.Po@am__quote@
452@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/resource-manager.Po@am__quote@
453@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stream.Po@am__quote@
454@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/streams.Po@am__quote@
455@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Po@am__quote@
456
457.c.o:
458@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
459@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
460@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
461@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
462@am__fastdepCC_FALSE@	$(COMPILE) -c $<
463
464.c.obj:
465@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
466@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
467@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
468@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
469@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
470
471util.o: ../util.c
472@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT util.o -MD -MP -MF $(DEPDIR)/util.Tpo -c -o util.o `test -f '../util.c' || echo '$(srcdir)/'`../util.c
473@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/util.Tpo $(DEPDIR)/util.Po
474@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../util.c' object='util.o' libtool=no @AMDEPBACKSLASH@
475@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
476@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o util.o `test -f '../util.c' || echo '$(srcdir)/'`../util.c
477
478util.obj: ../util.c
479@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT util.obj -MD -MP -MF $(DEPDIR)/util.Tpo -c -o util.obj `if test -f '../util.c'; then $(CYGPATH_W) '../util.c'; else $(CYGPATH_W) '$(srcdir)/../util.c'; fi`
480@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/util.Tpo $(DEPDIR)/util.Po
481@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../util.c' object='util.obj' libtool=no @AMDEPBACKSLASH@
482@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
483@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o util.obj `if test -f '../util.c'; then $(CYGPATH_W) '../util.c'; else $(CYGPATH_W) '$(srcdir)/../util.c'; fi`
484
485encoding.o: ../encoding.c
486@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT encoding.o -MD -MP -MF $(DEPDIR)/encoding.Tpo -c -o encoding.o `test -f '../encoding.c' || echo '$(srcdir)/'`../encoding.c
487@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/encoding.Tpo $(DEPDIR)/encoding.Po
488@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../encoding.c' object='encoding.o' libtool=no @AMDEPBACKSLASH@
489@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
490@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o encoding.o `test -f '../encoding.c' || echo '$(srcdir)/'`../encoding.c
491
492encoding.obj: ../encoding.c
493@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT encoding.obj -MD -MP -MF $(DEPDIR)/encoding.Tpo -c -o encoding.obj `if test -f '../encoding.c'; then $(CYGPATH_W) '../encoding.c'; else $(CYGPATH_W) '$(srcdir)/../encoding.c'; fi`
494@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/encoding.Tpo $(DEPDIR)/encoding.Po
495@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../encoding.c' object='encoding.obj' libtool=no @AMDEPBACKSLASH@
496@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
497@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o encoding.obj `if test -f '../encoding.c'; then $(CYGPATH_W) '../encoding.c'; else $(CYGPATH_W) '$(srcdir)/../encoding.c'; fi`
498
499http-host.o: ../http-host.c
500@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT http-host.o -MD -MP -MF $(DEPDIR)/http-host.Tpo -c -o http-host.o `test -f '../http-host.c' || echo '$(srcdir)/'`../http-host.c
501@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/http-host.Tpo $(DEPDIR)/http-host.Po
502@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../http-host.c' object='http-host.o' libtool=no @AMDEPBACKSLASH@
503@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
504@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o http-host.o `test -f '../http-host.c' || echo '$(srcdir)/'`../http-host.c
505
506http-host.obj: ../http-host.c
507@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT http-host.obj -MD -MP -MF $(DEPDIR)/http-host.Tpo -c -o http-host.obj `if test -f '../http-host.c'; then $(CYGPATH_W) '../http-host.c'; else $(CYGPATH_W) '$(srcdir)/../http-host.c'; fi`
508@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/http-host.Tpo $(DEPDIR)/http-host.Po
509@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../http-host.c' object='http-host.obj' libtool=no @AMDEPBACKSLASH@
510@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
511@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o http-host.obj `if test -f '../http-host.c'; then $(CYGPATH_W) '../http-host.c'; else $(CYGPATH_W) '$(srcdir)/../http-host.c'; fi`
512
513http-url.o: ../http-url.c
514@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT http-url.o -MD -MP -MF $(DEPDIR)/http-url.Tpo -c -o http-url.o `test -f '../http-url.c' || echo '$(srcdir)/'`../http-url.c
515@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/http-url.Tpo $(DEPDIR)/http-url.Po
516@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../http-url.c' object='http-url.o' libtool=no @AMDEPBACKSLASH@
517@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
518@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o http-url.o `test -f '../http-url.c' || echo '$(srcdir)/'`../http-url.c
519
520http-url.obj: ../http-url.c
521@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT http-url.obj -MD -MP -MF $(DEPDIR)/http-url.Tpo -c -o http-url.obj `if test -f '../http-url.c'; then $(CYGPATH_W) '../http-url.c'; else $(CYGPATH_W) '$(srcdir)/../http-url.c'; fi`
522@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/http-url.Tpo $(DEPDIR)/http-url.Po
523@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../http-url.c' object='http-url.obj' libtool=no @AMDEPBACKSLASH@
524@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
525@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o http-url.obj `if test -f '../http-url.c'; then $(CYGPATH_W) '../http-url.c'; else $(CYGPATH_W) '$(srcdir)/../http-url.c'; fi`
526
527stream.o: ../stream.c
528@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT stream.o -MD -MP -MF $(DEPDIR)/stream.Tpo -c -o stream.o `test -f '../stream.c' || echo '$(srcdir)/'`../stream.c
529@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/stream.Tpo $(DEPDIR)/stream.Po
530@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../stream.c' object='stream.o' libtool=no @AMDEPBACKSLASH@
531@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
532@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o stream.o `test -f '../stream.c' || echo '$(srcdir)/'`../stream.c
533
534stream.obj: ../stream.c
535@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT stream.obj -MD -MP -MF $(DEPDIR)/stream.Tpo -c -o stream.obj `if test -f '../stream.c'; then $(CYGPATH_W) '../stream.c'; else $(CYGPATH_W) '$(srcdir)/../stream.c'; fi`
536@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/stream.Tpo $(DEPDIR)/stream.Po
537@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../stream.c' object='stream.obj' libtool=no @AMDEPBACKSLASH@
538@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
539@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o stream.obj `if test -f '../stream.c'; then $(CYGPATH_W) '../stream.c'; else $(CYGPATH_W) '$(srcdir)/../stream.c'; fi`
540
541highlight.o: ../highlight.c
542@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT highlight.o -MD -MP -MF $(DEPDIR)/highlight.Tpo -c -o highlight.o `test -f '../highlight.c' || echo '$(srcdir)/'`../highlight.c
543@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/highlight.Tpo $(DEPDIR)/highlight.Po
544@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../highlight.c' object='highlight.o' libtool=no @AMDEPBACKSLASH@
545@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
546@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o highlight.o `test -f '../highlight.c' || echo '$(srcdir)/'`../highlight.c
547
548highlight.obj: ../highlight.c
549@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT highlight.obj -MD -MP -MF $(DEPDIR)/highlight.Tpo -c -o highlight.obj `if test -f '../highlight.c'; then $(CYGPATH_W) '../highlight.c'; else $(CYGPATH_W) '$(srcdir)/../highlight.c'; fi`
550@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/highlight.Tpo $(DEPDIR)/highlight.Po
551@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../highlight.c' object='highlight.obj' libtool=no @AMDEPBACKSLASH@
552@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
553@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o highlight.obj `if test -f '../highlight.c'; then $(CYGPATH_W) '../highlight.c'; else $(CYGPATH_W) '$(srcdir)/../highlight.c'; fi`
554
555resource-manager.o: ../resource-manager.c
556@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT resource-manager.o -MD -MP -MF $(DEPDIR)/resource-manager.Tpo -c -o resource-manager.o `test -f '../resource-manager.c' || echo '$(srcdir)/'`../resource-manager.c
557@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/resource-manager.Tpo $(DEPDIR)/resource-manager.Po
558@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../resource-manager.c' object='resource-manager.o' libtool=no @AMDEPBACKSLASH@
559@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
560@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o resource-manager.o `test -f '../resource-manager.c' || echo '$(srcdir)/'`../resource-manager.c
561
562resource-manager.obj: ../resource-manager.c
563@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT resource-manager.obj -MD -MP -MF $(DEPDIR)/resource-manager.Tpo -c -o resource-manager.obj `if test -f '../resource-manager.c'; then $(CYGPATH_W) '../resource-manager.c'; else $(CYGPATH_W) '$(srcdir)/../resource-manager.c'; fi`
564@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/resource-manager.Tpo $(DEPDIR)/resource-manager.Po
565@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../resource-manager.c' object='resource-manager.obj' libtool=no @AMDEPBACKSLASH@
566@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
567@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o resource-manager.obj `if test -f '../resource-manager.c'; then $(CYGPATH_W) '../resource-manager.c'; else $(CYGPATH_W) '$(srcdir)/../resource-manager.c'; fi`
568
569.cpp.o:
570@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
571@am__fastdepCXX_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
572@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
573@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
574@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<
575
576.cpp.obj:
577@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
578@am__fastdepCXX_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
579@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
580@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
581@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
582
583instrument-js.o: ../instrument-js.cpp
584@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT instrument-js.o -MD -MP -MF $(DEPDIR)/instrument-js.Tpo -c -o instrument-js.o `test -f '../instrument-js.cpp' || echo '$(srcdir)/'`../instrument-js.cpp
585@am__fastdepCXX_TRUE@	mv -f $(DEPDIR)/instrument-js.Tpo $(DEPDIR)/instrument-js.Po
586@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='../instrument-js.cpp' object='instrument-js.o' libtool=no @AMDEPBACKSLASH@
587@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
588@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o instrument-js.o `test -f '../instrument-js.cpp' || echo '$(srcdir)/'`../instrument-js.cpp
589
590instrument-js.obj: ../instrument-js.cpp
591@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT instrument-js.obj -MD -MP -MF $(DEPDIR)/instrument-js.Tpo -c -o instrument-js.obj `if test -f '../instrument-js.cpp'; then $(CYGPATH_W) '../instrument-js.cpp'; else $(CYGPATH_W) '$(srcdir)/../instrument-js.cpp'; fi`
592@am__fastdepCXX_TRUE@	mv -f $(DEPDIR)/instrument-js.Tpo $(DEPDIR)/instrument-js.Po
593@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='../instrument-js.cpp' object='instrument-js.obj' libtool=no @AMDEPBACKSLASH@
594@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
595@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o instrument-js.obj `if test -f '../instrument-js.cpp'; then $(CYGPATH_W) '../instrument-js.cpp'; else $(CYGPATH_W) '$(srcdir)/../instrument-js.cpp'; fi`
596
597ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
598	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
599	unique=`for i in $$list; do \
600	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
601	  done | \
602	  $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
603	      END { if (nonempty) { for (i in files) print i; }; }'`; \
604	mkid -fID $$unique
605tags: TAGS
606
607TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
608		$(TAGS_FILES) $(LISP)
609	tags=; \
610	here=`pwd`; \
611	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
612	unique=`for i in $$list; do \
613	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
614	  done | \
615	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
616	      END { if (nonempty) { for (i in files) print i; }; }'`; \
617	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
618	  test -n "$$unique" || unique=$$empty_fix; \
619	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
620	    $$tags $$unique; \
621	fi
622ctags: CTAGS
623CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
624		$(TAGS_FILES) $(LISP)
625	tags=; \
626	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
627	unique=`for i in $$list; do \
628	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
629	  done | \
630	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
631	      END { if (nonempty) { for (i in files) print i; }; }'`; \
632	test -z "$(CTAGS_ARGS)$$tags$$unique" \
633	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
634	     $$tags $$unique
635
636GTAGS:
637	here=`$(am__cd) $(top_builddir) && pwd` \
638	  && cd $(top_srcdir) \
639	  && gtags -i $(GTAGS_ARGS) $$here
640
641distclean-tags:
642	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
643
644check-TESTS: $(TESTS)
645	@failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[	 ]'; \
646	srcdir=$(srcdir); export srcdir; \
647	list=' $(TESTS) '; \
648	if test -n "$$list"; then \
649	  for tst in $$list; do \
650	    if test -f ./$$tst; then dir=./; \
651	    elif test -f $$tst; then dir=; \
652	    else dir="$(srcdir)/"; fi; \
653	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
654	      all=`expr $$all + 1`; \
655	      case " $(XFAIL_TESTS) " in \
656	      *$$ws$$tst$$ws*) \
657		xpass=`expr $$xpass + 1`; \
658		failed=`expr $$failed + 1`; \
659		echo "XPASS: $$tst"; \
660	      ;; \
661	      *) \
662		echo "PASS: $$tst"; \
663	      ;; \
664	      esac; \
665	    elif test $$? -ne 77; then \
666	      all=`expr $$all + 1`; \
667	      case " $(XFAIL_TESTS) " in \
668	      *$$ws$$tst$$ws*) \
669		xfail=`expr $$xfail + 1`; \
670		echo "XFAIL: $$tst"; \
671	      ;; \
672	      *) \
673		failed=`expr $$failed + 1`; \
674		echo "FAIL: $$tst"; \
675	      ;; \
676	      esac; \
677	    else \
678	      skip=`expr $$skip + 1`; \
679	      echo "SKIP: $$tst"; \
680	    fi; \
681	  done; \
682	  if test "$$failed" -eq 0; then \
683	    if test "$$xfail" -eq 0; then \
684	      banner="All $$all tests passed"; \
685	    else \
686	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
687	    fi; \
688	  else \
689	    if test "$$xpass" -eq 0; then \
690	      banner="$$failed of $$all tests failed"; \
691	    else \
692	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
693	    fi; \
694	  fi; \
695	  dashes="$$banner"; \
696	  skipped=""; \
697	  if test "$$skip" -ne 0; then \
698	    skipped="($$skip tests were not run)"; \
699	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
700	      dashes="$$skipped"; \
701	  fi; \
702	  report=""; \
703	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
704	    report="Please report to $(PACKAGE_BUGREPORT)"; \
705	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
706	      dashes="$$report"; \
707	  fi; \
708	  dashes=`echo "$$dashes" | sed s/./=/g`; \
709	  echo "$$dashes"; \
710	  echo "$$banner"; \
711	  test -z "$$skipped" || echo "$$skipped"; \
712	  test -z "$$report" || echo "$$report"; \
713	  echo "$$dashes"; \
714	  test "$$failed" -eq 0; \
715	else :; fi
716
717distdir: $(DISTFILES)
718	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
719	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
720	list='$(DISTFILES)'; \
721	  dist_files=`for file in $$list; do echo $$file; done | \
722	  sed -e "s|^$$srcdirstrip/||;t" \
723	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
724	case $$dist_files in \
725	  */*) $(MKDIR_P) `echo "$$dist_files" | \
726			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
727			   sort -u` ;; \
728	esac; \
729	for file in $$dist_files; do \
730	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
731	  if test -d $$d/$$file; then \
732	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
733	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
734	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
735	    fi; \
736	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
737	  else \
738	    test -f $(distdir)/$$file \
739	    || cp -p $$d/$$file $(distdir)/$$file \
740	    || exit 1; \
741	  fi; \
742	done
743check-am: all-am
744	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
745check: check-am
746all-am: Makefile $(PROGRAMS)
747installdirs:
748install: install-am
749install-exec: install-exec-am
750install-data: install-data-am
751uninstall: uninstall-am
752
753install-am: all-am
754	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
755
756installcheck: installcheck-am
757install-strip:
758	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
759	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
760	  `test -z '$(STRIP)' || \
761	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
762mostlyclean-generic:
763
764clean-generic:
765
766distclean-generic:
767	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
768
769maintainer-clean-generic:
770	@echo "This command is intended for maintainers to use"
771	@echo "it deletes files that may require special tools to rebuild."
772clean: clean-am
773
774clean-am: clean-generic clean-noinstPROGRAMS mostlyclean-am
775
776distclean: distclean-am
777	-rm -rf ./$(DEPDIR)
778	-rm -f Makefile
779distclean-am: clean-am distclean-compile distclean-generic \
780	distclean-tags
781
782dvi: dvi-am
783
784dvi-am:
785
786html: html-am
787
788info: info-am
789
790info-am:
791
792install-data-am:
793
794install-dvi: install-dvi-am
795
796install-exec-am:
797
798install-html: install-html-am
799
800install-info: install-info-am
801
802install-man:
803
804install-pdf: install-pdf-am
805
806install-ps: install-ps-am
807
808installcheck-am:
809
810maintainer-clean: maintainer-clean-am
811	-rm -rf ./$(DEPDIR)
812	-rm -f Makefile
813maintainer-clean-am: distclean-am maintainer-clean-generic
814
815mostlyclean: mostlyclean-am
816
817mostlyclean-am: mostlyclean-compile mostlyclean-generic
818
819pdf: pdf-am
820
821pdf-am:
822
823ps: ps-am
824
825ps-am:
826
827uninstall-am:
828
829.MAKE: install-am install-strip
830
831.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
832	clean-generic clean-noinstPROGRAMS ctags distclean \
833	distclean-compile distclean-generic distclean-tags distdir dvi \
834	dvi-am html html-am info info-am install install-am \
835	install-data install-data-am install-dvi install-dvi-am \
836	install-exec install-exec-am install-html install-html-am \
837	install-info install-info-am install-man install-pdf \
838	install-pdf-am install-ps install-ps-am install-strip \
839	installcheck installcheck-am installdirs maintainer-clean \
840	maintainer-clean-generic mostlyclean mostlyclean-compile \
841	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
842	uninstall-am
843
844# Tell versions [3.59,3.63) of GNU make to not export all variables.
845# Otherwise a system limit (for SysV at least) may be exceeded.
846.NOEXPORT: